Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface SNMPAgentMBean

public interface SNMPAgentMBean
extends ConfigurationMBean

The MBean representing the SNMP Agent Configuration. The SNMP Agent MBean is a singleton for the SNMP Agent Configuration and does not belong to any configuration.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static int` | `DEBUG_CRITICAL`
`static int` | `DEBUG_FATAL`
`static int` | `DEBUG_NONCRITICAL`
`static int` | `DEBUG_NONE`
`static int` | `SNMPV1` SNMP Version 1
`static int` | `SNMPV2` SNMP Version 2

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addSNMPAttributeChange(SNMPAttributeChangeMBean attrchange)` Adds a feature to the SNMPAttributeChange attribute of the SNMPAgentMBean object
`boolean` | `addSNMPCounterMonitor(SNMPCounterMonitorMBean countermonitor)` Adds a feature to the SNMPCounterMonitor attribute of the SNMPAgentMBean object
`boolean` | `addSNMPGaugeMonitor(SNMPGaugeMonitorMBean gaugemonitor)` Adds a feature to the SNMPGaugeMonitor attribute of the SNMPAgentMBean object
`boolean` | `addSNMPLogFilter(SNMPLogFilterMBean logfilter)` Adds a feature to the SNMPLogFilter attribute of the SNMPAgentMBean object
`boolean` | `addSNMPProxy(SNMPProxyMBean snmpProxy)` Adds a feature to the SNMPProxy attribute of the SNMPAgentMBean object
`boolean` | `addSNMPStringMonitor(SNMPStringMonitorMBean stringmonitor)` Adds a feature to the SNMPStringMonitor attribute of the SNMPAgentMBean object
`boolean` | `addTargetedTrapDestination(SNMPTrapDestinationMBean trapdestination)` Adds a feature to the TargetedTrapDestination attribute of the SNMPAgentMBean object
`java.lang.String` | `getCommunityPrefix()` Defines the prefix string which is used to form SNMP Community name.
`int` | `getDebugLevel()` Defines the Debug level.
`int` | `getMibDataRefreshInterval()` Defines the minimum amount of time all MIB values are cached before the agent attempts to refresh them.
`int` | `getServerStatusCheckIntervalFactor()` Defines a multiplier used to calculate the interval at which the server status is checked.
`SNMPAttributeChangeMBean[]` | `getSNMPAttributeChanges()` SNMPAttributeChangeMBeans which describe the MBean type and Attribute name for which attribute change trap should be sent when an attribute change is observed.
`SNMPCounterMonitorMBean[]` | `getSNMPCounterMonitors()` SNMP CounterMonitorMbeans which describe the criteria for generating trap based on JMX CounterMonitor.
`SNMPGaugeMonitorMBean[]` | `getSNMPGaugeMonitors()` SNMP GaugeMonitorMbeans which describe the criteria for generating trap based on JMX GaugeMonitor.
`SNMPLogFilterMBean[]` | `getSNMPLogFilters()` SNMPLogFilterMBeans which describe filters for generating traps based on server log messages.
`int` | `getSNMPPort()` Defines the port that is used for sending SNMP trap notifications to the target SNMP manager.
`SNMPProxyMBean[]` | `getSNMPProxies()` Defines the SNMP Agents which are proxied by this Master SNMP Agent.
`SNMPStringMonitorMBean[]` | `getSNMPStringMonitors()` SNMP StringMonitorMbeans which describe the criteria for generating trap based on JMX StringMonitor.
`int` | `getSNMPTrapVersion()` Defines the trap version to be used while sending SNMP trap notifications to the target SNMP manager.
`SNMPTrapDestinationMBean[]` | `getTargetedTrapDestinations()` Gets the targetedTrapDestinations attribute of the SNMPAgentMBean object
`boolean` | `isEnabled()` Defines the state of the SNMP service on an administration server.
`boolean` | `isSendAutomaticTrapsEnabled()` Defines the state of the SNMP automatic trap generation service.
`boolean` | `removeSNMPAttributeChange(SNMPAttributeChangeMBean attrchange)`
`boolean` | `removeSNMPCounterMonitor(SNMPCounterMonitorMBean countermonitor)`
`boolean` | `removeSNMPGaugeMonitor(SNMPGaugeMonitorMBean gaugemonitor)`
`boolean` | `removeSNMPLogFilter(SNMPLogFilterMBean logfilter)`
`boolean` | `removeSNMPProxy(SNMPProxyMBean snmpProxy)`
`boolean` | `removeSNMPStringMonitor(SNMPStringMonitorMBean stringmonitor)`
`boolean` | `removeTargetedTrapDestination(SNMPTrapDestinationMBean trapdestination)`
`void` | `setCommunityPrefix(java.lang.String prefix)` Sets the communityPrefix attribute of the SNMPAgentMBean object
`void` | `setDebugLevel(int debugLevel)` Sets the debugLevel attribute of the SNMPAgentMBean object
`void` | `setEnabled(boolean flag)` Sets the enabled attribute of the SNMPAgentMBean object
`void` | `setMibDataRefreshInterval(int interval)` Sets the mibDataRefreshInterval attribute of the SNMPAgentMBean object
`void` | `setSendAutomaticTrapsEnabled(boolean flag)` Sets the sendAutomaticTrapsEnabled attribute of the SNMPAgentMBean object
`void` | `setServerStatusCheckIntervalFactor(int factor)` Sets the serverStatusCheckIntervalFactor attribute of the SNMPAgentMBean object
`void` | `setSNMPAttributeChanges(SNMPAttributeChangeMBean[] snmpAttributeChanges)` Sets the sNMPAttributeChanges attribute of the SNMPAgentMBean object
`void` | `setSNMPCounterMonitors(SNMPCounterMonitorMBean[] snmpCounterMonitors)` Sets the sNMPCounterMonitors attribute of the SNMPAgentMBean object
`void` | `setSNMPGaugeMonitors(SNMPGaugeMonitorMBean[] snmpGaugeMonitors)` Sets the sNMPGaugeMonitors attribute of the SNMPAgentMBean object
`void` | `setSNMPLogFilters(SNMPLogFilterMBean[] snmpLogFilters)` Sets the sNMPLogFilters attribute of the SNMPAgentMBean object
`void` | `setSNMPPort(int port)` Sets the sNMPPort attribute of the SNMPAgentMBean object
`void` | `setSNMPProxies(SNMPProxyMBean[] snmpProxys)` Sets the sNMPProxies attribute of the SNMPAgentMBean object
`void` | `setSNMPStringMonitors(SNMPStringMonitorMBean[] snmpStringMonitors)` Sets the sNMPStringMonitors attribute of the SNMPAgentMBean object
`void` | `setSNMPTrapVersion(int version)`
`void` | `setTargetedTrapDestinations(SNMPTrapDestinationMBean[] snmpTrapDestinations)` Sets the targetedTrapDestinations attribute of the SNMPAgentMBean object
`void` | `setUserDefinedMib(java.lang.String mibName)` Sets the userDefinedMib attribute of the SNMPAgentMBean object

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### DEBUG_NONE

    public static final int DEBUG_NONE

### DEBUG_FATAL

    public static final int DEBUG_FATAL

### DEBUG_CRITICAL

    public static final int DEBUG_CRITICAL

### DEBUG_NONCRITICAL

    public static final int DEBUG_NONCRITICAL

### SNMPV1

    public static final int SNMPV1

  SNMP Version 1

### SNMPV2

    public static final int SNMPV2

  SNMP Version 2

Method Detail

### isEnabled

    public boolean isEnabled()

  Defines the state of the SNMP service on an administration server. A value of "true" enables the service.

  Default Value: false
  Secure Value: false
  Returns:
    True if the SNMP service is activated.

### setEnabled

    public void setEnabled(boolean flag)

  Sets the enabled attribute of the SNMPAgentMBean object

  Parameters:
    `flag` - The new enabled value

### isSendAutomaticTrapsEnabled

    public boolean isSendAutomaticTrapsEnabled()

  Defines the state of the SNMP automatic trap generation service. Select to enable the service.

  Default Value: true
  Returns:
    True if the SNMP automatic trap generation service is activated.

### setSendAutomaticTrapsEnabled

    public void setSendAutomaticTrapsEnabled(boolean flag)

  Sets the sendAutomaticTrapsEnabled attribute of the SNMPAgentMBean object

  Parameters:
    `flag` - The new sendAutomaticTrapsEnabled value

### getSNMPPort

    public int getSNMPPort()

  Defines the port that is used for sending SNMP trap notifications to the target SNMP manager.

  Default Value: 161
  Legal Minimum Value: 1
  Legal Maximum Value: 65535
  Returns:
    The sNMPPort value

### setSNMPPort

    public void setSNMPPort(int port)
                     throws javax.management.InvalidAttributeValueException,
                            ConfigurationException

  Sets the sNMPPort attribute of the SNMPAgentMBean object

  Parameters:
    `port` - The new sNMPPort value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getSNMPTrapVersion

    public int getSNMPTrapVersion()

  Defines the trap version to be used while sending SNMP trap notifications to the target SNMP manager.

  Default Value: SNMPV1
  Legal Values: SNMPV1, SNMPV2
  Returns:
    The sNMPTrap version

### setSNMPTrapVersion

    public void setSNMPTrapVersion(int version)

### getMibDataRefreshInterval

    public int getMibDataRefreshInterval()

  Defines the minimum amount of time all MIB values are cached before the agent attempts to refresh them.

  Default Value: 120
  Legal Minimum Value: 30
  Legal Maximum Value: 65535
  Returns:
    The mibDataRefreshInterval value

### setMibDataRefreshInterval

    public void setMibDataRefreshInterval(int interval)
                                   throws javax.management.InvalidAttributeValueException,
                                          ConfigurationException

  Sets the mibDataRefreshInterval attribute of the SNMPAgentMBean object

  Parameters:
    `interval` - The new mibDataRefreshInterval value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getServerStatusCheckIntervalFactor

    public int getServerStatusCheckIntervalFactor()

  Defines a multiplier used to calculate the interval at which the server status is checked.

  interval = n * MibDataRefreshInterval

  Default Value: 1
  Legal Minimum Value: 1
  Legal Maximum Value: 65535
  Returns:
    The serverStatusCheckIntervalFactor value

### setServerStatusCheckIntervalFactor

    public void setServerStatusCheckIntervalFactor(int factor)
                                            throws javax.management.InvalidAttributeValueException,
                                                   ConfigurationException

  Sets the serverStatusCheckIntervalFactor attribute of the SNMPAgentMBean object

  Parameters:
    `factor` - The new serverStatusCheckIntervalFactor value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getCommunityPrefix

    public java.lang.String getCommunityPrefix()

  Defines the prefix string which is used to form SNMP Community name. To form a community name, append "@" and the server name or domain name to the prefix.

  SNMP Community Name = CommunityPrefix[@{ServerName | DomainName}]

  Default Value: "public"
  Legal Value: (value != null) && (value.trim().length() > 0)
  Legal NULL: false;
  Secure Value: value must not be "public"
  Returns:
    The communityPrefix value

### setCommunityPrefix

    public void setCommunityPrefix(java.lang.String prefix)
                            throws javax.management.InvalidAttributeValueException,
                                   ConfigurationException

  Sets the communityPrefix attribute of the SNMPAgentMBean object

  Parameters:
    `prefix` - The new communityPrefix value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### setUserDefinedMib

    public void setUserDefinedMib(java.lang.String mibName)

  Sets the userDefinedMib attribute of the SNMPAgentMBean object

  Parameters:
    `mibName` - The new userDefinedMib value

### getDebugLevel

    public int getDebugLevel()

  Defines the Debug level. Valid values are:

  - 0-NoDebug
  - 1-Fatal
  - 2-Critical
  - 3-Non-Critical

  Default Value: DEBUG_NONE
  Legal Values: DEBUG_NONE, DEBUG_FATAL, DEBUG_CRITICAL, DEBUG_NONCRITICAL
  Secure Value: DEBUG_NONE
  Returns:
    The debugLevel value

### setDebugLevel

    public void setDebugLevel(int debugLevel)
                       throws javax.management.InvalidAttributeValueException,
                              ConfigurationException

  Sets the debugLevel attribute of the SNMPAgentMBean object

  Parameters:
    `debugLevel` - The new debugLevel value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getTargetedTrapDestinations

    public SNMPTrapDestinationMBean[] getTargetedTrapDestinations()

  Gets the targetedTrapDestinations attribute of the SNMPAgentMBean object

  Returns:
    The targetedTrapDestinations value

### setTargetedTrapDestinations

    public void setTargetedTrapDestinations(SNMPTrapDestinationMBean[] snmpTrapDestinations)
                                     throws javax.management.InvalidAttributeValueException,
                                            ConfigurationException

  Sets the targetedTrapDestinations attribute of the SNMPAgentMBean object

  Parameters:
    `snmpTrapDestinations` - The new targetedTrapDestinations value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### addTargetedTrapDestination

    public boolean addTargetedTrapDestination(SNMPTrapDestinationMBean trapdestination)
                                       throws javax.management.InvalidAttributeValueException,
                                              ConfigurationException

  Adds a feature to the TargetedTrapDestination attribute of the SNMPAgentMBean object

  Parameters:
    `trapdestination` - The feature to be added to the TargetedTrapDestination attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### removeTargetedTrapDestination

    public boolean removeTargetedTrapDestination(SNMPTrapDestinationMBean trapdestination)
                                          throws javax.management.InvalidAttributeValueException,
                                                 ConfigurationException

  Parameters:
    `trapdestination` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getSNMPProxies

    public SNMPProxyMBean[] getSNMPProxies()

  Defines the SNMP Agents which are proxied by this Master SNMP Agent. SNMPProxyMBeans describe settings for SNMP agents to be proxied by this Master agent.

  Returns:
    The sNMPProxies value

### setSNMPProxies

    public void setSNMPProxies(SNMPProxyMBean[] snmpProxys)
                        throws javax.management.InvalidAttributeValueException,
                               ConfigurationException

  Sets the sNMPProxies attribute of the SNMPAgentMBean object

  Parameters:
    `snmpProxys` - The new sNMPProxies value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### addSNMPProxy

    public boolean addSNMPProxy(SNMPProxyMBean snmpProxy)
                         throws javax.management.InvalidAttributeValueException,
                                ConfigurationException

  Adds a feature to the SNMPProxy attribute of the SNMPAgentMBean object

  Parameters:
    `snmpProxy` - The feature to be added to the SNMPProxy attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### removeSNMPProxy

    public boolean removeSNMPProxy(SNMPProxyMBean snmpProxy)
                            throws javax.management.InvalidAttributeValueException,
                                   ConfigurationException

  Parameters:
    `snmpProxy` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getSNMPGaugeMonitors

    public SNMPGaugeMonitorMBean[] getSNMPGaugeMonitors()

  SNMP GaugeMonitorMbeans which describe the criteria for generating trap based on JMX GaugeMonitor.

  Returns:
    The sNMPGaugeMonitors value

### setSNMPGaugeMonitors

    public void setSNMPGaugeMonitors(SNMPGaugeMonitorMBean[] snmpGaugeMonitors)
                              throws javax.management.InvalidAttributeValueException,
                                     ConfigurationException

  Sets the sNMPGaugeMonitors attribute of the SNMPAgentMBean object

  Parameters:
    `snmpGaugeMonitors` - The new sNMPGaugeMonitors value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### addSNMPGaugeMonitor

    public boolean addSNMPGaugeMonitor(SNMPGaugeMonitorMBean gaugemonitor)
                                throws javax.management.InvalidAttributeValueException,
                                       ConfigurationException

  Adds a feature to the SNMPGaugeMonitor attribute of the SNMPAgentMBean object

  Parameters:
    `gaugemonitor` - The feature to be added to the SNMPGaugeMonitor attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### removeSNMPGaugeMonitor

    public boolean removeSNMPGaugeMonitor(SNMPGaugeMonitorMBean gaugemonitor)
                                   throws javax.management.InvalidAttributeValueException,
                                          ConfigurationException

  Parameters:
    `gaugemonitor` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getSNMPStringMonitors

    public SNMPStringMonitorMBean[] getSNMPStringMonitors()

  SNMP StringMonitorMbeans which describe the criteria for generating trap based on JMX StringMonitor.

  Returns:
    The sNMPStringMonitors value

### setSNMPStringMonitors

    public void setSNMPStringMonitors(SNMPStringMonitorMBean[] snmpStringMonitors)
                               throws javax.management.InvalidAttributeValueException,
                                      ConfigurationException

  Sets the sNMPStringMonitors attribute of the SNMPAgentMBean object

  Parameters:
    `snmpStringMonitors` - The new sNMPStringMonitors value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### addSNMPStringMonitor

    public boolean addSNMPStringMonitor(SNMPStringMonitorMBean stringmonitor)
                                 throws javax.management.InvalidAttributeValueException,
                                        ConfigurationException

  Adds a feature to the SNMPStringMonitor attribute of the SNMPAgentMBean object

  Parameters:
    `stringmonitor` - The feature to be added to the SNMPStringMonitor attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### removeSNMPStringMonitor

    public boolean removeSNMPStringMonitor(SNMPStringMonitorMBean stringmonitor)
                                    throws javax.management.InvalidAttributeValueException,
                                           ConfigurationException

  Parameters:
    `stringmonitor` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getSNMPCounterMonitors

    public SNMPCounterMonitorMBean[] getSNMPCounterMonitors()

  SNMP CounterMonitorMbeans which describe the criteria for generating trap based on JMX CounterMonitor.

  Returns:
    The sNMPCounterMonitors value

### setSNMPCounterMonitors

    public void setSNMPCounterMonitors(SNMPCounterMonitorMBean[] snmpCounterMonitors)
                                throws javax.management.InvalidAttributeValueException,
                                       ConfigurationException

  Sets the sNMPCounterMonitors attribute of the SNMPAgentMBean object

  Parameters:
    `snmpCounterMonitors` - The new sNMPCounterMonitors value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### addSNMPCounterMonitor

    public boolean addSNMPCounterMonitor(SNMPCounterMonitorMBean countermonitor)
                                  throws javax.management.InvalidAttributeValueException,
                                         ConfigurationException

  Adds a feature to the SNMPCounterMonitor attribute of the SNMPAgentMBean object

  Parameters:
    `countermonitor` - The feature to be added to the SNMPCounterMonitor attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### removeSNMPCounterMonitor

    public boolean removeSNMPCounterMonitor(SNMPCounterMonitorMBean countermonitor)
                                     throws javax.management.InvalidAttributeValueException,
                                            ConfigurationException

  Parameters:
    `countermonitor` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getSNMPLogFilters

    public SNMPLogFilterMBean[] getSNMPLogFilters()

  SNMPLogFilterMBeans which describe filters for generating traps based on server log messages.

  Returns:
    The sNMPLogFilters value

### setSNMPLogFilters

    public void setSNMPLogFilters(SNMPLogFilterMBean[] snmpLogFilters)
                           throws javax.management.InvalidAttributeValueException,
                                  ConfigurationException

  Sets the sNMPLogFilters attribute of the SNMPAgentMBean object

  Parameters:
    `snmpLogFilters` - The new sNMPLogFilters value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### addSNMPLogFilter

    public boolean addSNMPLogFilter(SNMPLogFilterMBean logfilter)
                             throws javax.management.InvalidAttributeValueException,
                                    ConfigurationException

  Adds a feature to the SNMPLogFilter attribute of the SNMPAgentMBean object

  Parameters:
    `logfilter` - The feature to be added to the SNMPLogFilter attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### removeSNMPLogFilter

    public boolean removeSNMPLogFilter(SNMPLogFilterMBean logfilter)
                                throws javax.management.InvalidAttributeValueException,
                                       ConfigurationException

  Parameters:
    `logfilter` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getSNMPAttributeChanges

    public SNMPAttributeChangeMBean[] getSNMPAttributeChanges()

  SNMPAttributeChangeMBeans which describe the MBean type and Attribute name for which attribute change trap should be sent when an attribute change is observed.

  Returns:
    The sNMPAttributeChanges value

### setSNMPAttributeChanges

    public void setSNMPAttributeChanges(SNMPAttributeChangeMBean[] snmpAttributeChanges)
                                 throws javax.management.InvalidAttributeValueException,
                                        ConfigurationException

  Sets the sNMPAttributeChanges attribute of the SNMPAgentMBean object

  Parameters:
    `snmpAttributeChanges` - The new sNMPAttributeChanges value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### addSNMPAttributeChange

    public boolean addSNMPAttributeChange(SNMPAttributeChangeMBean attrchange)
                                   throws javax.management.InvalidAttributeValueException,
                                          ConfigurationException

  Adds a feature to the SNMPAttributeChange attribute of the SNMPAgentMBean object

  Parameters:
    `attrchange` - The feature to be added to the SNMPAttributeChange attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### removeSNMPAttributeChange

    public boolean removeSNMPAttributeChange(SNMPAttributeChangeMBean attrchange)
                                      throws javax.management.InvalidAttributeValueException,
                                             ConfigurationException

  Parameters:
    `attrchange` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD